Secconef(L):={
local S,O,M,cr,OO,MM,typdes;

S:=L[0];
O:=L[1];
M:=L[2];
cr:=L[3];
OO:=L[4];
MM:=L[5];
typdes:=L[6];

                        //  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                        //       % Creation du fichier metapost


Dessin:="
input dlf\_tex.mp;
input geometriesyr16.mp;

u:=1cm;
typetrace:=\""+typdes+"\";
_tfig:=12cm;
beginfig(0);
pair A,B,O,S,M,MM;

numeric rb,h;
rb:=2;     % rayon de base
h:=4;      % hauteur

A=(-rb*u,0);
O=(0,0);
B=(rb*u,0);
S=(0,h*u);


draw A--S--B;

draw S--O dashed evenly;

numeric ang;

ang:=300;  % angle servant a placer M

M:= B rotatedaround(O,ang);
MM:=M yscaled 0.2;


trace arccercle(B,A,O) yscaled 0.2 dashed evenly;
trace arccercle(A,M,O) yscaled 0.2;
trace arccercle(M,B,O) yscaled 0.2;

trace chemin(O,MM) dashed evenly;
trace chemin(S,MM);

trace codeperp(S,O,MM,6);

label.top(TEX(\" $"+S+"$ \"),S);
label.lft(TEX(\" $"+O+"$ \"),O);
label.lrt(TEX(\" $"+M+"$ \"),MM);


pair OO,AA,BB,N,NN;
numeric cr;
cr:=0.4;

BB:=(cr*rb*u,0);
AA:=-BB;

N:= BB rotatedaround(O,ang);
NN:=N yscaled 0.2;

trace arccercle(BB,AA,O) yscaled 0.2 shifted cr[S,O] dashed evenly;
trace arccercle(AA,N,O) yscaled 0.2 shifted cr[S,O];
trace arccercle(N,BB,O) yscaled 0.2 shifted cr[S,O];

OO:=O shifted cr[S,O];

MM:= cr[S,MM];

label.lft(TEX(\" $"+OO+"$ \"),OO);
label.lrt(TEX(\" $"+MM+"$ \"),MM);


trace chemin(OO,MM) dashed evenly;

trace codeperp(S,OO,MM,6);


endfig;
typetrace:=\"normal\";


end
";




}:;

